Bug Hunting Session
Bug 90487 - TOOLBAR: Reducing the width of the chart element selector control in Chart
Summary: TOOLBAR: Reducing the width of the chart element selector control in Chart
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Chart Toolbars
  Show dependency treegraph
 
Reported: 2015-04-06 19:55 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-01-31 10:22 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (12.01 KB, image/png)
2015-04-06 19:55 UTC, Yousuf Philips (jay) (retired)
Details
cropped entry in chart element drop down (15.52 KB, image/png)
2015-04-12 21:50 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-04-06 19:55:25 UTC
Created attachment 114655 [details]
screenshot

The chart element selector control (.uno:ChartElementSelector) in the formatting toolbar in Chart is way to large for its content. It would be useful to reduce its size by half.
Comment 1 A (Andy) 2015-04-06 20:18:17 UTC
This sounds in principle reasonable for me (however a decrease of half seems for me to be too much).  But if a LO translation or Data Series name would be longer, would then the width of this drop-down list be increased/adapted?
Comment 2 Yousuf Philips (jay) (retired) 2015-04-06 20:41:15 UTC
The control within the toolbar would be of a fixed size, while if the size of the elements in the drop down are larger than the size of the control, i'd assume that the drop down's size would increase to fit the text.
Comment 3 Yousuf Philips (jay) (retired) 2015-04-12 09:08:54 UTC
Would be useful to know if this is an easy hack or not from the devs and if so, some code pointers.
Comment 4 Regina Henschel 2015-04-12 12:54:50 UTC
I do not think, that it is a good idea to reduce the width. The list can contain the items
 DataSeries 'myLegend'
 DataSeries 'myLegend' Trend Line (myTrendlineTitle)
 DataSeries 'myLegend' Equation (<chosen Trendlinetyp>)

During selection the width expands, so selecting is no problem with a smaller width. But I think, that the user should be able to see, what item is currently selected. And therefore the current width is needed, because the three kind of "DataSeries" entries do not differ in the first characters.
Comment 5 Yousuf Philips (jay) (retired) 2015-04-12 21:50:58 UTC
Created attachment 114752 [details]
cropped entry in chart element drop down

The current width of the toolbar control can hold ~28 characters, while the majority of entries in the drop down are less that 18 characters long. This same issue is present in the font name drop down, as the control can display about ~16 characters and you can have fonts with similar beginnings that look exactly the same when the drop down is closed.

If a user decides to use the chart element drop down to select an entry, he/she already knows what is selected and it also shows that selection on the chart, so there isnt a possibility that a user wouldnt be able to distinguish what is currently selected because text in the chart element is cropped. The chart element drop down also doesnt list all the possible things that can be selected, like when you have a pie chart and it doesnt show the data point entries, so a user will need to click on the chart to get full access to all possible things to format in a chart.

Maybe cropping by half is to aggressive but think we can crop atleast 15 percent and still maintain the corner cases with Data Series.
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:21:23 UTC Comment hidden (obsolete)
Comment 7 Robinson Tryon (qubit) 2016-08-25 04:44:53 UTC Comment hidden (obsolete)
Comment 8 Heiko Tietze 2018-01-30 10:34:50 UTC
Reduced the width to 60 in patch https://gerrit.libreoffice.org/#/c/48896/.

The user can still use ridiculous long texts in the dropdown (Data Series "Once upon a time..."). We should deal with this issue in another ticket as it affects all lists and dropdowns.
Comment 9 Commit Notification 2018-01-31 10:20:53 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2192f72e78ce0afeecd40c03f3ad915c7199bf39

tdf#90487 Size of chart series dropdown

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Heiko Tietze 2018-01-31 10:22:38 UTC
Width reduced by 17% (=75)